> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bank accounts

> Get all bank accounts for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/banks/accounts
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/banks/accounts:
    get:
      tags:
        - Banks
      summary: Get bank accounts
      description: Get all bank accounts for the authenticated user
      operationId: getBankAccounts
      parameters:
        - name: cursor
          in: header
          description: Cursor from the previous paginated response
          schema:
            type: string
        - name: limit
          in: header
          description: Page size, i.e. number of items to return per page
          schema:
            type: integer
            format: int32
        - name: lastUpdatedDate
          in: header
          description: Date filter - returns all records modified after the specified date
          schema:
            type: string
          example: '1970-01-01'
        - name: apiName
          in: query
          description: >-
            Api filter - returns all accounts for the specified APIs. If null or
            empty, returns all records.
          schema:
            type: array
            items:
              type: string
              enum:
                - PLAID
                - THIRD_PARTY_BANK
                - USER_IMPORTED
                - XERO
                - QBO
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRAX_GET_RESPONSEBankAccountGetDTOV5List'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSEBankAccountGetDTOV5List:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/BankAccountGetDTOV5'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    BankAccountGetDTOV5:
      type: object
      properties:
        id:
          type: integer
          description: Id of the account, required when updating an existing account
          format: int64
        status:
          type: string
          description: Status of the account
          enum:
            - ACTIVE
            - INACTIVE
        apiStatus:
          type: string
          description: >-
            Status of the account on the associated API, ACTIVE if no associated
            API
          readOnly: true
          enum:
            - ACTIVE
            - INACTIVE
        apiName:
          type: string
          description: Name of the API from which this transaction originated
          readOnly: true
          enum:
            - THIRD_PARTY_BANK
            - PLAID
            - USER_IMPORTED
        apiAccountId:
          type: string
          description: Id of the user's bank account on associated API
        apiAccountName:
          type: string
          description: Display name for the bank account from which this account originated
          example: Citi Premier® Card
        apiAccountNo:
          type: string
          description: >-
            Mask of the user's bank account, often the last 4 digits of the
            account number
        apiInstitutionId:
          type: string
          description: Name or id of the institution from which the transaction originated
        apiAccountType:
          type: string
          description: Type of the user's bank account
          example: CREDIT
          enum:
            - CREDIT
            - DEPOSITORY
        glAccountId:
          type: integer
          description: GL account id, referencing an account in the chart of accounts
          format: int64
        autoClassify:
          type: string
          description: >-
            Whether and how to attempt to classify transactions that belong this
            account
          enum:
            - 'OFF'
            - BUSINESS
            - NOT_BUSINESS
        defaultClientId:
          type: integer
          description: >-
            Id of the client to which to assign transactions that are auto
            classified as BUSINESS
          format: int64
        defaultBusinessId:
          type: integer
          description: >-
            Id of the business to assign transactions to that are auto
            classified as BUSINESS.
          format: int64
        createdDate:
          type: string
          description: Date this account was created
          format: date-time
          readOnly: true
        lastApiSyncedDate:
          type: string
          description: Date of the last attempt to sync the account
          format: date-time
          readOnly: true
        latestTransactionDate:
          type: string
          description: Date of the most recent Tight transaction
          format: date
          readOnly: true
          example: '2025-10-01'
        latestStatementDate:
          type: string
          description: >-
            Date of the most recent bank statement, defaults to the first of
            month if day is not provided
          format: date
          readOnly: true
          example: '2025-10-01'
        latestCompletedClosingDate:
          type: string
          description: End date of the most recent completed closing
          format: date
          readOnly: true
          example: '2025-10-01'
        lastWebhookDatetime:
          type: string
          description: Date time of the most recent webhook
          format: date-time
          readOnly: true
        tranStartDate:
          type: string
          description: Earliest day for which to pull transactions
          format: date-time
        tranMinStartDate:
          type: string
          description: Earliest day for which transactions can be made available
          format: date-time
          readOnly: true
        billingCycleStartDay:
          maximum: 31
          minimum: 1
          type: integer
          description: Day of month on which this account's billing cycle starts
          format: int32
        scheduleClosings:
          type: boolean
          description: >-
            Whether to automatically create a pending bank closing once the
            applicable bank statement is available.
        integrationId:
          type: integer
          description: Id of the integration this account belongs to, if applicable
          format: int64
          readOnly: true
        syncTransactions:
          type: boolean
          description: Whether to sync transactions for this account
          example: true
        isSupported:
          type: boolean
          description: Whether the bank account type is supported
          example: true
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````